<?php
/* Busqueda de registros de la tabla ALM_TransaccionCabecera redefinidos por el usuario. */
class ALM_TransaccionCabeceraFN extends BaseALM_TransaccionCabeceraFN
{
	/**
	 * Recupero el Id + 1
	 *
	 * @return int
	 */
	public static function recuperarId()
	{
		/*$s_Sql = "SELECT LPAD( IF( MAX( CAST( IdNumeroDocumento AS UNSIGNED ) ) IS NULL, 1, MAX( CAST( IdNumeroDocumento AS UNSIGNED ) ) + 1 ) , 10, '0') i_Id  FROM ALM_TransaccionCabecera;";
		$o_DBConnect = Conexion::getConexion();
		$o_SQLResult = mysql_query( $s_Sql, $o_DBConnect->getResource() );
		$a_Row = mysql_fetch_array( $o_SQLResult );
		return $a_Row['i_Id'];*/
		
        $o_utilGenerateId = new utilGenerateId();
        $o_utilGenerateId->setIdCompania( -1 );
        $o_utilGenerateId->setTipoCorrelativo( "AL" );
        $o_utilGenerateId->setSerie( "TR" );
        $i_IdGenerado = $o_utilGenerateId->generateId();
        $s_IdGenerado = str_pad( $i_IdGenerado, 10, "0", STR_PAD_LEFT );
        return $s_IdGenerado;
	}
}
?>